API ReferenceapiaffiliatesGET /v1/multi-level-config/{brand_id}

GET /v1/multi-level-config/\{brand_id\}

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • brand_id (string) required

Responses

200 Multi-level config for this brand

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "l1_commission_bps": {
      "type": "integer"
    },
    "l2_commission_bps": {
      "type": "integer"
    },
    "max_levels": {
      "type": "integer"
    }
  },
  "required": [
    "id",
    "brand_id",
    "l1_commission_bps",
    "l2_commission_bps",
    "max_levels"
  ]
}

404 Config not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/multi-level-config/{brand_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"